{% extends 'profile/layouts/base_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}

{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables-responsive.css' %}">
{% endblock css %}
{% block main %}
    <main role="main">
        <div class="jumbotron bg-berita-head text-putih text-center">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 mt-5 mb-auto">
                        <h2 class="mt-3">{{title}} Merapi Trip</h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb justify-content-center">
                                <li class="breadcrumb-item"><a href="{% url 'profile:home' %}">Beranda</a></li>
                                <li class="breadcrumb-item active" aria-curent="page">{{title}}</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="bg-white">
            <div class="container mt-5">
                {% if is_detail == False %}
                <div class="col-md-12 mt-5 mb-5">
                    <h5 id="kategori_berita">{{title}}</h5>
                    <hr class="hr-sm mt-0 mb-4" align="left">
                    <table id="table_id" class="display nowrap" style="width:100%">
                        <thead>
                            <tr>
                                <th rowspan="2" width="1%">No.</th>
                                <th colspan="2" width="20%" class="dt-center">Tanggal</th>
                                <th rowspan="2" width="10%">Lama<br>Kegiatan</th>
                                <th colspan="2" width="20%" class="dt-center">Jam</th>
                                <th rowspan="2">Nama Agenda</th>
                                <th rowspan="2" width="5%">Agenda<br>Rutin</th>
                                <th rowspan="2" width="1%"></th>
                            </tr>
                            <tr>
                                <th width="10%">Mulai</th>
                                <th width="10%">Selesai</th>
                                <th width="10%">Mulai</th>
                                <th width="10%">Selesai</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for dt in agendas %}
                            <tr>
                                <td>{{ dt.start_date|date:"m"}}</td>
                                <td>{{ dt.start_date|date:"d M Y" }}</td>
                                <td>{{ dt.finish_date|date:"d M Y" }}</td>
                                <td>{{ dt.days}} Hari</td>
                                <td>{{ dt.start_time|date:"H:i" }}</td>
                                <td>{{ dt.finish_time|date:"H:i" }}</td>
                                <td><a href="{% url 'profile:agenda_detail' slug=dt.slug %}">{{ dt.name }}</a></td>
                                <td>{{ dt.everys}}</td>
                                <td><i class="bi bi-square-fill" style="color:{{ dt.color}}"></i></td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
                {% else %}
                <div class="row">
                <div class="col-md-8 mb-5">
                    <h5 id="kategori_berita">{{title}}</h5>
                    <hr class="hr-sm mt-0 mb-4" align="left">
                    {% if agendas %}
                    <div>
                        <h4 class="mb-3">{{agendas.name}}</h4>
                        <div class="card w-75 mb-4" style="border: solid 1px {{ agendas.color}};">
                            <div class="card-body">
                                <h6 class="card-subtitle mb-2 text-muted">
                                    <i class="bi bi-calendar-fill" style="color:{{ agendas.color}}"></i> Tanggal</h6>
                                {% if agendas.days == 1 %}
                                <h5 class="card-title">{{ agendas.start_date|date:"d M Y" }}</h5>
                                {% else %}
                                <h5 class="card-title">{{ agendas.start_date|date:"d M Y" }} - {{ agendas.finish_date|date:"d M Y" }}</h5>
                                {% endif %}
                                <h6 class="card-subtitle mb-3 text-muted">Lama Kegiatan : {{agendas.days}} hari</h6>
                                <h6 class="card-subtitle mb-2 text-muted">
                                    <i class="bi bi-alarm-fill" style="color:{{ agendas.color}}"></i> Jam</h6>
                                <h5 class="card-title">{{ agendas.start_time|date:"H:i" }} - {{ agendas.finish_time|date:"H:i" }}</h5>
                                <h6 class="card-subtitle mb-2 text-muted">Jenis Agenda : {{agendas.everys}}</h6>
                            </div>
                        </div>
                        <div class="mt-0" style="text-align:justify;">{{ agendas.description | safe }}</div>
                        <div class="kotak-shared mt-4" style="float:right;"
                            alt="{% url 'profile:agenda_detail' slug=agendas.slug %}">
                            <span class="mr-3">Share post :</span>
                            <span class="ikon-sosmed">
                                <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u={{domain}}{% url 'profile:agenda_detail' slug=agendas.slug %}">
                                    <i class="bi bi-facebook"></i></a>
                            </span>
                            <span class="ikon-sosmed">
                                <a target="_blank" href="https://twitter.com/share?url={{domain}}{% url 'profile:agenda_detail' slug=agendas.slug %}">
                                    <i class="bi bi-twitter"></i></a>
                            </span>
                            <span class="ikon-sosmed">
                                <a target="_blank" href="https://api.whatsapp.com/send?text={{domain}}{% url 'profile:agenda_detail' slug=agendas.slug %}">
                                    <i class="bi bi-whatsapp"></i></a>
                            </span>
                        </div>
                    </div>
                    {% else %}
                    <h4>Konten Agenda tidak ada.</h4>
                    {% endif %}
                </div>
                <div class="col-md-4 mb-5">
                    <div class="news-sidebar mt-0 mb-3">
                        <h5>Menu Lain</h5>
                        <hr class="hr-sm mt-0" align="left">
                        <div class="news-submenu">
                            <ul>
                                <li><a href="{% url 'profile:announcement' %}" alt="Pengumuman">Pengumuman</a></li>
                                <li><a href="{% url 'profile:agenda' %}" alt="Agenda">Agenda</a></li>
                                <li><a href="{% url 'profile:news' %}" alt="Berita">Berita</a></li>
                                <li><a href="{% url 'profile:gallery' %}" alt="Galeri">Galeri</a></li>
                                <li><a href="{% url 'profile:document' %}" alt="Dokumen Publikasi">Dokumen Publikasi</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="news-sidebar mt-5 mb-3">
                        <h5>Berita Terfavorit</h5>
                        <hr class="hr-sm mt-0" align="left">
                        {% if favs %}
                        {% for dt in favs %}
                        <div class="berita-kanan">
                            <h4 class="berita-judul-kanan">
                                <a href="{% url 'profile:news_detail' slug=dt.slug %}">{{ dt.title }}</a>
                            </h4>
                            <div class="berita-text-cilik-kanan"><span>{{ dt.created_by.first_name }} {{ dt.created_by.last_name }} | {{ dt.created_at|date:"d M Y" }} | Dilihat : {{ dt.seen }} kali</span></div>
                        </div>
                        {% endfor %}
                        {% else %}
                        <span>Belum Ada Berita Favorit</span>
                        {% endif %}
                    </div>
                </div>
                </div>
                {% endif %}
                
                <div class="col-md-12 mt-5 mb-5">
                    <marquee class="marqueek" behavior="alternate" direction="left" scroll="" onmouseover="this.setAttribute('scrollamount', 0, 0);this.stop();" onmouseout="this.setAttribute('scrollamount', 3, 0);this.start();" scrollamount="3">
                        {% if runlink %}
                        {% for dt in runlink %}
                        <a href="{{dt.link}}" target="_blank">
                        {% if dt.images %}
                        <img src="{{dt.logo.url}}">
                        {% else %}
                        <img src="{% static 'profile/images/front/no_runninglink.png' %}">
                        {% endif %}
                        </a>
                        {% endfor %}
                        {% else %}
                        <h5>#Running Link belum ada konten.</h5>
                        {% endif %}
                    </marquee>
                </div>

            </div>
        </div>
    </main>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/footer.html' %}
{% endblock footer %}
{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#table_id').DataTable( {
                "order": [ 0, 'asc' ],
                // "dom": 'Bfrtip',
                "responsive": true,
                "scrollY": 200,
                "scrollCollapse": true,
                "scroller": true,
                "columnDefs": [
                    { "visible" : false, "targets": [0], "searchable": false },
                    { "className": "dt-center", "targets": "_all" },
                ],
            });
        });

    </script>
{% endblock scripts_bawah %}
